Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs	(revision 51)
@@ -45,12 +45,16 @@
         /// <returns></returns>
         private bool GetBaseInfoData()
         {
-            IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            IOConstructionBaseInfoDetail DetailDB = new IOConstructionBaseInfoDetail();
             try
             {
-                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
-                if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
+                string strSQL = BaseDB.CreatePrimarykeyString(m_ConstructionCode);
+                if (!BaseDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
 
+                strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                if (!DetailDB.SelectAction(strSQL, ref m_ConstructionBaseInfoDetail)) return false;
+                
                 return true;
             }
             catch (Exception ex)
@@ -60,7 +64,7 @@
             }
             finally
             {
-                cbDB.close(); cbDB = null;
+                BaseDB.close(); BaseDB = null;
             }
         }
         #endregion
@@ -84,7 +88,7 @@
                 // 作成日
                 m_DspControl[(int)DspCtrlName.CreateDate] = dTPCreateDate;
                 // 天気
-                m_DspControl[(int)DspCtrlName.Weather] = textBox2;
+                m_DspControl[(int)DspCtrlName.Weather] = textBox;
                 // 工期
                 m_DspControl[(int)DspCtrlName.BetweenTimes] = label15;
                 // 着工日
@@ -712,9 +716,6 @@
                 SetConstructionTime();
 
                 // 担当者取得
-                //int Person = DailyDataRec.PersonCode;
-                //if (Person == 0) Person = CommonMotions.LoginUserData.PersonCode;
-                //int Person = CommonMotions.LoginUserData.PersonCode;
                 int Person = m_ConstructionBaseInfo.ConstructionPersonCode;
                 strSQL = PersonDB.CreatePrimarykeyString(Person);
                 PersonInChargeMaster PersonRec = new PersonInChargeMaster();
@@ -721,12 +722,6 @@
                 PersonDB.SelectAction(strSQL, ref PersonRec);
                 m_DspControl[(int)DspCtrlName.CreatorName].Text = PersonRec.PersonName;
 
-                // 工事種別のセット
-                //strSQL = TypeDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionType);
-                //ConstructionTypeMaster TypeRec = new ConstructionTypeMaster();
-                //TypeDB.SelectAction(strSQL, ref TypeRec);
-                //m_DspControl[(int)DspCtrlName.ConstructionType].Text = TypeRec.NameString;
-
                 return true;
             }
             catch (Exception ex)
@@ -885,7 +880,11 @@
                     dgv.Rows.Add(s_MinRowCountGrid[(int)DataGridDefine.Detail]);
                     // 合計表示
                     lblGrid1Total1.Text = "0.0";
-                    lblGrid1Total2.Text = GetTotalHeadCount().ToString("#,0.0");
+                    double work = GetTotalHeadCount();
+                    if (work==0)
+                        lblGrid1Total2.Text = work.ToString("#,#.#");
+                    else
+                        lblGrid1Total2.Text = work.ToString("#,0.0");
                     lblGrid1Total3.Text = "0.0";
                     return;
                 }
@@ -897,6 +896,7 @@
                 double Total3 = 0;
                 int iCompany = 0;
                 string strCompany = string.Empty;
+                string[] sFormat = new string[3];
                 foreach (object[] RecData in arList)
                 {
                     Total1 += CommonMotions.cnvDouble(RecData[4]);
@@ -905,22 +905,25 @@
                     iCompany = CommonMotions.cnvInt(RecData[2]);
                     if (iCompany == -1)
                     {
-                        strCompany = "自　　社";
+                        strCompany = s_MyCompanyName;
                     }
                     else
                     {
                         strCompany = CommonMotions.cnvString(RecData[3]);
                     }
+                    if (CommonMotions.cnvDouble(RecData[4]) == 0) sFormat[0] = "#,#.#"; else sFormat[0] = "#,0.0";
+                    if (CommonMotions.cnvDouble(RecData[5]) == 0) sFormat[1] = "#,#.#"; else sFormat[1] = "#,0.0";
+                    if (CommonMotions.cnvDouble(RecData[8]) == 0) sFormat[2] = "#,#.#"; else sFormat[2] = "#,0.0";
                     dgv.Rows.Add((ino++),
                                     CommonMotions.cnvInt(RecData[0]),
                                     CommonMotions.cnvString(RecData[1]),
                                     iCompany,
                                     strCompany,
-                                    CommonMotions.cnvDouble(RecData[4]).ToString("#,0.0"),
-                                    CommonMotions.cnvDouble(RecData[5]).ToString("#,0.0"),
+                                    CommonMotions.cnvDouble(RecData[4]).ToString(sFormat[0]),
+                                    CommonMotions.cnvDouble(RecData[5]).ToString(sFormat[1]),
                                     CommonMotions.cnvString(RecData[6]),
                                     CommonMotions.cnvString(RecData[7]),
-                                    CommonMotions.cnvDouble(RecData[8]).ToString("#,0.0"));
+                                    CommonMotions.cnvDouble(RecData[8]).ToString(sFormat[2]));
 
                     int CurRowCnt = dgv.RowCount - 1;
                     dgv.Rows[CurRowCnt].Cells[(int)DispGridColumn1.JobCategoryName].ToolTipText = CommonMotions.cnvString(RecData[1]);
@@ -1223,7 +1226,7 @@
                     dgv.Rows[RowCnt].Cells[(int)DispGridColumn5.PatrolTime].Value = RecData.PatrolTime.ToShortTimeString();
                     dgv.Rows[RowCnt].Cells[(int)DispGridColumn5.ContentsText].Value = RecData.ContentsText;
 
-                    dgv.Rows[RowCnt].Cells[(int)DispGridColumn4.ContentsText].ToolTipText = RecData.ContentsText;
+                    dgv.Rows[RowCnt].Cells[(int)DispGridColumn5.ContentsText].ToolTipText = RecData.ContentsText;
                 }
             }
             catch (Exception ex)
@@ -2649,6 +2652,9 @@
         {
             try
             {
+                // 天気
+                m_DspControl[(int)DspCtrlName.Weather].Enabled = false;
+
                 foreach (DataGridView dgv in m_DgvArray)
                 {
                     dgv.ReadOnly = true;
@@ -2655,6 +2661,9 @@
                 }
                 
                 // 最後にボタンの処理を行う
+                btnApproval.Enabled = false;
+                btnPetition.Enabled = false;
+                
                 btnDataEntry.Visible = false;
                 btnDataDelete.Visible = false;
                 btnLineAdd.Visible = false;
@@ -2668,25 +2677,71 @@
         }
         #endregion
 
-        #region 指定日より前（後）のデータを取得して処理日付を変える
+        #region 指定日より先頭・前・後のデータ日付を取得する
         /// <summary>
-        /// 指定日より前（後）のデータを取得して処理日付を変える
+        /// 指定日より先頭・前・後のデータ日付を取得する
         /// </summary>
-        private void GetPrevNextData(int ReadPoint = 0)
+        private DateTime GetFPNDataDate(int ReadPoint)
         {
+            DateTime dtRet = DateTime.Now;
+            IODailyDataConstruction DailyDB = new IODailyDataConstruction();
             try
             {
-                int DaysPoint = 0;
+                string strSQL = string.Empty;
+
                 switch (ReadPoint)
                 {
+                    case (int)ReadData.First:
+                        strSQL = "SELECT MIN(DAILYDATADATE) FROM DAILYDATACONSTRUCTION";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        break;
                     case (int)ReadData.Previous:
-                        DaysPoint = -1;
+                        strSQL = "SELECT MAX(DAILYDATADATE) FROM DAILYDATACONSTRUCTION";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        //strSQL += string.Format(" AND TRUNC(DAILYDATADATE) < TO_DATE('{0}','YYYY/MM/DD')", dTPCreateDate.Value.ToShortDateString());
+                        strSQL += string.Format(" AND DATE(DAILYDATADATE) < STR_TO_DATE('{0}','%Y/%m/%d')", dTPCreateDate.Value.ToShortDateString());
                         break;
                     case (int)ReadData.Next:
-                        DaysPoint = 1;
+                        strSQL = "SELECT MIN(DAILYDATADATE) FROM DAILYDATACONSTRUCTION";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        //strSQL += string.Format(" AND TRUNC(DAILYDATADATE) > TO_DATE('{0}','YYYY/MM/DD')", dTPCreateDate.Value.ToShortDateString());
+                        strSQL += string.Format(" AND DATE(DAILYDATADATE) > STR_TO_DATE('{0}','%Y/%m/%d')", dTPCreateDate.Value.ToShortDateString());
                         break;
+                    case (int)ReadData.Final:
+                        strSQL = "SELECT MAX(DAILYDATADATE) FROM DAILYDATACONSTRUCTION";
+                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        break;
                 }
-                DateTime dtWork = GetTargetToday().AddDays(DaysPoint);
+                ArrayList arList = new ArrayList();
+                if (DailyDB.ExecuteReader(strSQL, ref arList))
+                {
+                    object[] objRec = (object[])arList[0];
+                    dtRet = CommonMotions.cnvDate(objRec[0]);
+                }
+
+                return dtRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return dtRet;
+            }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+            }
+        }
+        #endregion
+
+        #region 指定日より前（後）のデータを取得して処理日付を変える
+        /// <summary>
+        /// 指定日より前（後）のデータを取得して処理日付を変える
+        /// </summary>
+        private void GetPrevNextData(int ReadPoint = 0)
+        {
+            try
+            {
+                DateTime dtWork = GetFPNDataDate(ReadPoint);
                 // 未来の日報は入力できない
                 if (dtWork > DateTime.Now) return;
 
@@ -2851,7 +2906,7 @@
                 btnPetition.Size = new Size(250, btnPetition.Size.Height);
 
                 // ----- 工事コード・承認機能番号取得（申請レコードがなお場合は未申請）
-                if (!ClsApprovalPermission.CheckPetition(m_ConstructionCode, iApprovalCode)) return;
+                if (!ClsApprovalPermission.CheckPetition(m_ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo)) return;
 
                 // ----- 申請済の場合
                 // 申請ボタンの表示
@@ -2864,7 +2919,7 @@
                 btnApproval.Visible = true;
 
                 // ----- 承認済の場合
-                if (ClsApprovalPermission.CheckApproval(m_ConstructionCode, iApprovalCode))
+                if (ClsApprovalPermission.CheckApproval(m_ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo))
                 {
                     btnApproval.Text = CommonDefine.ApprovalButtonString[1];
                     btnApproval.ForeColor = Color.Black;
@@ -2899,10 +2954,10 @@
                 int iConstructionCode = m_ConstructionBaseInfo.ConstructionCode;
                 int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事日報承認")).Key;
                 // 担当部署取得
-                int DepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionBaseInfo.ConstructionCode, iApprovalCode);
+                int DepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionBaseInfo.ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
 
                 // 承認データ取得
-                int ApprovalCount = ClsApprovalPermission.GetApprovalDataCount(iConstructionCode, iApprovalCode);
+                int ApprovalCount = ClsApprovalPermission.GetApprovalDataCount(iConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
 
                 // 承認経路マスタ取得
                 int MasterCount = ClsApprovalPermission.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
@@ -2966,7 +3021,7 @@
             IODailyDataDetail DetailDB = new IODailyDataDetail();
             try
             {
-                if (!TotalFlg && JobCode == 0 && CompanyCode == 0) return 0;
+                if (!TotalFlg && (JobCode == 0 || CompanyCode == 0)) return 0;
 
                 string strSQL = "SELECT SUM(TODAYHEADCOUNT) FROM DAILYDATADETAIL";
                 strSQL += string.Format(" WHERE PersonCode = {0}", m_PersonCode);
@@ -2973,6 +3028,7 @@
                 strSQL += string.Format(" AND ConstructionCode = {0}", m_ConstructionCode);
                 if (JobCode != 0) strSQL += string.Format(" AND JobCategoryCode = {0}", JobCode);
                 if (CompanyCode != 0) strSQL += string.Format(" AND CompanyCode = {0}", CompanyCode);
+                //strSQL += string.Format(" AND TO_CHAR(DailyDataDate, 'YYYY/MM/DD') < '{0}'", GetTargetToday().ToShortDateString());
                 strSQL += string.Format(" AND DATE_FORMAT(DailyDataDate, '%Y/%m/%d') < '{0}'", GetTargetToday().ToShortDateString());
 
                 ArrayList arList = new ArrayList();
@@ -3014,9 +3070,9 @@
         }
         #endregion
 
-        #region 該当日報データ明細の累計人員数を更新日より後を更新する
+        #region 該当日報データ明細の累計人員数を更新日より以降更新する
         /// <summary>
-        /// 
+        /// 該当日報データ明細の累計人員数を更新日より以降更新する
         /// </summary>
         /// <param name="JobCode"></param>
         /// <param name="CompanyCode"></param>
@@ -3028,6 +3084,7 @@
                 DateTime StartDate = GetTargetToday();
 
                 // 動作SQL作成
+                //string strSQL = "SELECT TO_CHAR(DailyDataDate, 'YYYY/MM/DD') FROM DAILYDATADETAIL";
                 string strSQL = "SELECT DATE_FORMAT(DailyDataDate, '%Y/%m/%d') FROM DAILYDATADETAIL";
 
                 // 検索条件SQL作成
@@ -3038,6 +3095,7 @@
                 strWhere += string.Format(" AND CompanyCode = {0}", CompanyCode);
 
                 // 日付指定SQL作成
+                //string strDate = string.Format(" AND '{0}' < TO_CHAR(DailyDataDate, 'YYYY/MM/DD')", GetTargetToday().ToShortDateString());
                 string strDate = string.Format(" AND '{0}' < DATE_FORMAT(DailyDataDate, '%Y/%m/%d')", GetTargetToday().ToShortDateString());
                 // 検索文字列結合
                 strSQL += strWhere + strDate;
@@ -3052,8 +3110,10 @@
                 foreach (object[] wrkobj in TargetList)
                 {
                     strUPDATE = strTemplate;
+                    //strUPDATE += string.Format(" AND TO_CHAR(DailyDataDate, 'YYYY/MM/DD') <= '{0}')", CommonMotions.cnvString(wrkobj[0]));
                     strUPDATE += string.Format(" AND DATE_FORMAT(DailyDataDate, '%Y/%m/%d') <= '{0}')", CommonMotions.cnvString(wrkobj[0]));
                     strUPDATE += strWhere;
+                    //strUPDATE += string.Format(" AND TO_CHAR(DailyDataDate, 'YYYY/MM/DD') = '{0}'", CommonMotions.cnvString(wrkobj[0]));
                     strUPDATE += string.Format(" AND DATE_FORMAT(DailyDataDate, '%Y/%m/%d') = '{0}'", CommonMotions.cnvString(wrkobj[0]));
 
                     if (!DetailDB.ExecuteNonQuery(strUPDATE, false)) return false;
@@ -3121,5 +3181,166 @@
             }
         }
         #endregion
+
+        #region 行編集ボタン表示制御
+        /// <summary>
+        /// 行編集ボタン表示制御
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void DisplayLineEditButton(object sender)
+        {
+            try
+            {
+                DataGridView dgv = (DataGridView)sender;
+
+                if (dgv == m_DgvArray[(int)DataGridDefine.Detail])
+                {
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                }
+                else if (dgv == m_DgvArray[(int)DataGridDefine.Vehicles])
+                {
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                }
+                else if (dgv == m_DgvArray[(int)DataGridDefine.Materials])
+                {
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                }
+                else if (dgv == m_DgvArray[(int)DataGridDefine.Subcontractors])
+                {
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                }
+                else if (dgv == m_DgvArray[(int)DataGridDefine.Field])
+                {
+                    btnLineAdd.Visible = false;
+                    btnLineDel.Visible = false;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        // -------------------- 印刷処理
+        #region 印刷時ボタン制御
+        /// <summary>
+        /// 印刷時ボタン制御
+        /// </summary>
+        /// <param name="bprint"></param>
+        private void PrintButtonVisbleControl(bool bprint)
+        {
+            panel2.Visible = !bprint;
+            
+            panel1.Enabled = !bprint;
+            pnlBase.Enabled = !bprint;
+
+            btnOtherProc.Visible = !bprint;
+            btnFirst.Visible = !bprint;
+            btnFinal.Visible = !bprint;
+            btnProv.Visible = !bprint;
+            btnNext.Visible = !bprint;
+
+            btnLineAdd.Visible = !bprint;
+            btnLineDel.Visible = !bprint;
+
+            btnDataEntry.Visible = !bprint;
+            btnDataDelete.Visible = !bprint;
+            btnEnd.Visible = !bprint;
+
+            if (bprint)
+            {
+                btnPrint.Visible = false;
+                btnCancel.Visible = true;
+            }
+            else
+            {
+                btnPrint.Visible = true;
+                btnCancel.Visible = false;
+            }
+        }
+        #endregion
+
+        #region 印刷処理
+        /// <summary>
+        /// 印刷処理
+        /// </summary>
+        private void PrintOutDR()
+        {
+            FrmSaveFilePath frm = new FrmSaveFilePath();
+            FrmPrintConfirmation frmPrint = new FrmPrintConfirmation();
+            try
+            {
+                // 工事番号のセット
+                frmPrint.ConstructionCode = m_ConstructionCode;
+                // 処理番号セット
+                frmPrint.ExecuteProcNo = (int)ClsExcute.ProcessExecuteNo.DRConstruction;
+
+                // ウィンドウ表示
+                frmPrint.ShowDialog();
+
+                // 終了状態
+                m_PrintresRet = frmPrint.EndButton;
+
+                // 印刷範囲
+                m_PrintRange = frmPrint.PrintRange;
+                // 印刷開始日
+                m_PrintStartDate = frmPrint.StartDate;
+                // 印刷終了日
+                m_PrintCompDate = frmPrint.CompDate;
+
+                // キャンセルは処理しない
+                if (m_PrintresRet == DialogResult.Cancel) return;
+
+                // EXCEL保存時選択
+                if (m_PrintresRet == DialogResult.No)
+                {
+                    // 保存先を選択する
+                    frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
+
+                    //frm.ShowInTaskbar = false;
+
+                    frm.ShowDialog();
+                    if (frm.EndButton == DialogResult.Cancel) return;
+                    m_SelectSaveExcel = frm.SelectPath;
+                }
+
+
+                // 印刷プロセス数取得
+                m_ProcessCount = GetProcessCount() + 2;       // 枚数＋ＥＸＣＥＬオブジェクト取得(2)
+                PrintProgress.Visible = true;
+                PrintProgress.Minimum = 0;
+                PrintProgress.Maximum = m_ProcessCount;
+                PrintProgress.Value = 0;
+
+                m_Canceled = false;
+                // ボタンの変更
+                PrintButtonVisbleControl(true);
+
+                //印刷を別スレッドで実行する
+                m_ProgressCount = 0;
+                workerThread = new System.Threading.Thread(new System.Threading.ThreadStart(PrintMain));
+                workerThread.IsBackground = true;
+                workerThread.Start();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Close(); frm = null;
+                frmPrint.Close(); frmPrint = null;
+            }
+        }
+        #endregion
+
+        // -------------------- 印刷処理
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintCommon.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintCommon.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintCommon.cs	(revision 51)
@@ -0,0 +1,282 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+using System.Windows.Forms;
+using System.Diagnostics;
+using Microsoft.VisualBasic;
+using System.Globalization;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    /// <summary>
+    /// 印刷処理共通変数
+    /// </summary>
+    partial class FrmDRConstruction
+    {
+        #region スレッド使用定義
+        //コントロールの値を変更するためのデリゲート
+        private delegate void SetProgressValueDelegate(int num);
+        //バックグラウンド処理が終わった時にコントロールの値を変更するためのデリゲート
+        private delegate void ThreadCompletedDelegate();
+        //処理がキャンセルされた時にコントロールの値を変更するためのデリゲート
+        private delegate void ThreadCanceledDelegate();
+
+        //別処理をするためのスレッド
+        private System.Threading.Thread workerThread;
+
+        //デリゲートの作成
+        SetProgressValueDelegate m_progressDlg = null;
+        ThreadCompletedDelegate m_completeDlg = null;
+        ThreadCanceledDelegate m_canceledDlg = null;
+        #endregion
+
+        #region 定数
+        #region 注文書最終行文字フォーマット
+        /// <summary>
+        /// 注文書最終行文字フォーマット
+        /// </summary>
+        private const string s_LastRowString = "※別紙{0}付け提出見積もりによる";
+        #endregion
+
+        #region シート名称
+        /// <summary>
+        /// シート名称
+        /// </summary>
+        private static readonly string s_SheetName = "工事日報";
+        #endregion
+
+        #region Excelファイル名
+        /// <summary>
+        /// Excelファイル名
+        /// </summary>
+        private string s_ExcelBookName = "日報";
+        #endregion
+
+        #region 図形関連
+        /// <summary>
+        /// 図形置き場シート
+        /// </summary>
+        private const string s_shapeSheetName = "図形シート";
+        /// <summary>
+        /// 図形名称
+        /// </summary>
+        private const string s_shapeName = "SealStamp1";                                    // 判子オブジェクト名
+        /// <summary>
+        /// 図形サイズ【縦・横】（図形名称順）
+        /// </summary>
+        private static float[,] s_ShapeSize = new float[1, 2] { { 25.51f, 25.51f } };       // 判子サイズ
+        /// <summary>
+        /// 判子フォントサイズ
+        /// </summary>
+        private static float[] s_EstimateSeal1FontSize = { 16f, 8f, 8f, 8f, 6f };
+        
+        /// <summary>
+        /// 次頁以降の判子イメージ移動位置
+        /// </summary>
+        private static float s_NextImageY = 1171.00f;
+        /// <summary>
+        /// 判子位置(Key:X Value:Y)
+        /// </summary>
+        private static float[,] s_CoverSealPoint = new float[5, 2] { {503.77f, 20.02f},         // 社長
+                                                                        {539.77f, 20.02f},      // 専務
+                                                                        {575.77f, 20.02f},      // 常務
+                                                                        {611.77f, 20.02f},      // 部長
+                                                                        {647.77f, 20.02f} };    // 担当者
+        #endregion
+
+        #region 明細フォーマットの行数
+        /// <summary>
+        /// 明細の全体行数
+        /// </summary>
+        private int s_NumberOfRowInDetail = 71;
+
+        /// <summary>
+        /// 明細データ開始行
+        /// </summary>
+        private const int s_FixDetailStartLine = 7;
+        /// <summary>
+        /// 明細データ行数
+        /// </summary>
+        private const int s_FixDetailListRow = 20;
+
+        /// <summary>
+        /// 車両データ開始行
+        /// </summary>
+        private const int s_FixVehiclesStartLine = 31;
+        /// <summary>
+        /// 車両データ行数
+        /// </summary>
+        private const int s_FixVehiclesListRow = 5;
+
+        /// <summary>
+        /// 資材データ開始行
+        /// </summary>
+        private const int s_FixMaterialsStartLine = 39;
+        /// <summary>
+        /// 資材データ行数
+        /// </summary>
+        private const int s_FixMaterialsListRow= 5;
+
+        /// <summary>
+        /// 業社打ち合わせデータ開始行
+        /// </summary>
+        private const int s_FixSubcontrStartLine = 47;
+        /// <summary>
+        /// 業社打ち合わせデータ行数
+        /// </summary>
+        private const int s_FixSubcontrListRow = 10;
+
+        /// <summary>
+        /// 現場巡回データ開始行
+        /// </summary>
+        private const int s_FixFeildStartLine = 60;
+        
+        #endregion
+
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// エクセル印刷クラスオブジェクト
+        /// </summary>
+        private UsedExcel m_UsedExcel = null;
+
+        /// <summary>
+        /// キャンセルボタンがクリックされたかを示すフラグ
+        /// </summary>
+        private volatile bool m_Canceled = false;
+
+        /// <summary>
+        /// 印刷処理プロセス数カウント（下記と混同注意）
+        /// </summary>
+        private int m_ProcessCount = 0;
+
+        /// <summary>
+        /// プログレスカウント
+        /// </summary>
+        private int m_ProgressCount = 0;
+
+        /// <summary>
+        /// 保存時Excelパス
+        /// </summary>
+        private string m_SelectSaveExcel = "";
+        /// <summary>
+        /// 実行ダイアログ選択値
+        /// </summary>
+        private DialogResult m_PrintresRet = DialogResult.Cancel;
+
+        /// <summary>
+        /// 印刷範囲
+        /// </summary>
+        private int m_PrintRange = 0;
+
+        /// <summary>
+        /// 印刷開始日
+        /// </summary>
+        private DateTime m_PrintStartDate = DateTime.MinValue;
+
+        /// <summary>
+        /// 印刷終了日
+        /// </summary>
+        private DateTime m_PrintCompDate = DateTime.MinValue;
+
+        /// <summary>
+        /// 終了コード
+        /// </summary>
+        private CommonDefine.RetunAnswer m_rtAns = CommonDefine.RetunAnswer.Answer0;
+        #endregion
+
+        #region プログレスバーの値を変更する
+        /// <summary>
+        /// プログレスバーの値を変更する
+        /// </summary>
+        /// <param name="num"></param>
+        private void SetProgressValue(int num)
+        {
+            // ProgressBarの値を変更する
+            PrintProgress.Value = num;
+            PrintProgress.Update();
+        }
+        #endregion
+
+        #region 処理が完了した時にプログレスバーの値を変更する
+        /// <summary>
+        /// 処理が完了した時にプログレスバーの値を変更する
+        /// </summary>
+        private void ThreadCompleted()
+        {
+            try
+            {
+                // コントロールの変更
+                PrintProgress.Visible = false;
+                //groupBox2.Invalidate();
+
+                // ボタンの変更
+                PrintButtonVisbleControl(false);
+
+                // 印刷
+                if (m_rtAns == CommonDefine.RetunAnswer.Answer0)
+                {
+                    if (m_PrintresRet == DialogResult.No)
+                    {
+                        MessageBox.Show("保存が終了しました。", "終　了", MessageBoxButtons.OK, MessageBoxIcon.Information);
+                    }
+                    return;
+                }
+
+                // エラーメッセージセット
+                string strMessage = "";
+                switch ((int)m_rtAns)
+                {
+                    case (int)CommonDefine.RetunAnswer.Answer1:
+                        strMessage = "システムエラー";
+                        break;
+                    case (int)CommonDefine.RetunAnswer.Answer3:
+                        strMessage = "日報データ読み込みエラー";
+                        break;
+                    case (int)CommonDefine.RetunAnswer.Answer5:
+                        strMessage = "エクセル操作エラー";
+                        break;
+                }
+                MessageBox.Show(strMessage, "印刷エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                m_rtAns = CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+        #endregion
+
+        #region 処理がキャンセルされた時にプログレスバーの値を変更する
+        /// <summary>
+        /// 処理がキャンセルされた時にプログレスバーの値を変更する
+        /// </summary>
+        private void ThreadCanceled()
+        {
+            // コントロールの変更
+            PrintProgress.Visible = false;
+            //groupBox2.Invalidate();
+
+            // ボタンの変更
+            PrintButtonVisbleControl(false);
+        }
+        #endregion
+
+    }
+}
